Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Class AbstractIDElementAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
          info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
              info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter

All Implemented Interfaces:
  IDElementAdapter, NodeBranchDataAdapter

Direct Known Subclasses:
  HiddenDataAdapter, TextLabelAdapter

    public abstract class AbstractIDElementAdapter

extends TextElementDataAdapter
implements IDElementAdapter

Node data adapters that need to store an ID can be inherited from this abstract class.

Author:
  Ben Stöver

Field Summary
`protected java.lang.String` | `id`

Constructor Summary
`AbstractIDElementAdapter(java.lang.String id)`

Method Summary
`boolean` | `equals(java.lang.Object other)` Returns `true` if the specified object is an instance of the same class and has the same ID.
`java.lang.String` | `getID()`
`boolean` | `isNewColumn()`
`boolean` | `readOnly()`

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
`assignData, createData, decimalOnly, delete, getData, getDecimal, getDecimalFormat, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodebranchdata.NodeBranchDataAdapter
`getDataElement, toString`

Field Detail

### id

    protected java.lang.String id

Constructor Detail

### AbstractIDElementAdapter

    public AbstractIDElementAdapter(java.lang.String id)

Method Detail

### readOnly

    public boolean readOnly()

  Specified by:
    `readOnly` in interface `NodeBranchDataAdapter`

### isNewColumn

    public boolean isNewColumn()

  Specified by:
    `isNewColumn` in interface `NodeBranchDataAdapter`
  Overrides:
    `isNewColumn` in class `TextElementDataAdapter`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `IDElementAdapter`

### equals

    public boolean equals(java.lang.Object other)

  Returns `true` if the specified object is an instance of the same class and has the same ID.

  Overrides:
    `equals` in class `AbstractNodeBranchDataAdapter`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD